Bug 65418 - SDL apps crash with "mcop warning: user defined signal handler found for SIG_PIPE, overriding" and "pure virtual function called"
SDL apps crash with "mcop warning: user defined signal handler found for SIG_...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: SDL (Show other bugs)
7.3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-23 13:17 EDT by Michael Olson
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-07 11:01:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Olson 2002-05-23 13:17:43 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux) 
 
Description of problem: 
SDL apps crash with 
 
mcop warning: user defined signal handler found for SIG_PIPE, overriding 
pure virtual function called 
 
I am running under KDE 3.0, with a Sound Blaster Live! (emu10k1.o), occurs with arts on or off. 
Problem seems to be with SDL attempting to use arts for sound output. I worked around the 
problem by rebuilding SDL-1.2.3-7 without SDL-1.2.3-prefersounddaemons.patch and with the 
--disable-arts option passed to 
configure. Everything seems to work fine after that. Did not have a problem under 7.2 
 
The problem turned up with enigma (http://www.freesoftware.fsf.org/enigma/) and circuslinux 
1.0.3 or 1.0.1 (from the RH7.1 PowerTools)  
 
http://www.cs.odu.edu/~olson/linux/circuslinux-1.0.3-1jag.i386.rpm 
http://www.cs.odu.edu/~olson/linux/circuslinux-1.0.3-1jag.src.rpm 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
Assuming the base SDL-1.2.3-7 RPM and circuslinux-1.0.3-1jag installed 
1. Fire up KDE 3.0 
2. From a konsole run circuslinux  
3. *Boom* 
  
 
Actual Results:  mcop warning: user defined signal handler found for SIG_PIPE, overriding 
pure virtual function called 
 
Expected Results:  I should win 15 levels of circus linux. (Although I rarely do...) 
 
 
Additional info: 
 
Athlon T-Bird 1.33GHz 
768MB PC-133 SDRAM 
Abit KT7A (KT133A chipset) 
Escalade 6200 w/ two IBM 30GB 75GXPs in RAID 0 
Sound Blaster Live! 
GeForce 4 Ti4600 (nVidia binary drivers)
Comment 1 Bernhard Rosenkraenzer 2002-09-12 07:50:51 EDT
This is not reproducable here. 
I do get the mcop warning (which is right, SDL does have its own signal 
handling), but every SDL application works well after giving the warning. 
 
Can you still reproduce this if you use a supported X driver? 
Comment 2 Thomas Woerner 2003-07-07 11:01:52 EDT
Closed due to user inactivity.

Note You need to log in before you can comment on or make changes to this bug.